-- EasyLAM - By Dio (v1.0)
-- Wrapper to simplify LibAddonMenu
-- http://www.esoui.com/downloads/author-1518.html

local ELAM = LibStub:NewLibrary("EasyLAM-1.0", 1)

if not ELAM then
	return
end

local LAM = LibStub("LibAddonMenu-1.0")

function ELAM:MakePanel(name)
	local panel = {
		id = LAM:CreateControlPanel(name, name),
		index = 0
	}

	local methods = {
		"AddButton",
		"AddCheckbox",
		"AddColorPicker",
		"AddDescription",
		"AddDropdown",
		"AddEditBox",
		"AddHeader",
		"AddSlider"
	}

	for _, method in ipairs(methods) do
		panel[method] = function(self, ...)
			self.index = self.index + 1
			return LAM[method](LAM, self.id, name .. self.index, ...)
		end
	end

	return panel
end
